# Uses of Class
org.apache.commons.lang.text.StrLookup

Packages that use StrLookup
Package
Description
org.apache.commons.lang.text
Provides classes for handling and manipulating text, partly as an extension to `java.text`.

## Uses of StrLookup in org.apache.commons.lang.text

Methods in org.apache.commons.lang.text that return StrLookup
Modifier and Type
Method
Description
`StrLookup`
StrSubstitutor.`getVariableResolver()`
Gets the VariableResolver that is used to lookup variables.
`static StrLookup`
StrLookup.`mapLookup(Map map)`
Returns a lookup which looks up values using a map.
`static StrLookup`
StrLookup.`noneLookup()`
Returns a lookup which always returns null.
`static StrLookup`
StrLookup.`systemPropertiesLookup()`
Returns a lookup which uses `System properties` to lookup the key to value.
Methods in org.apache.commons.lang.text with parameters of type StrLookup
Modifier and Type
Method
Description
`void`
StrSubstitutor.`setVariableResolver(StrLookup variableResolver)`
Sets the VariableResolver that is used to lookup variables.
Constructors in org.apache.commons.lang.text with parameters of type StrLookup
Modifier
Constructor
Description
``
`StrSubstitutor(StrLookup variableResolver)`
Creates a new instance and initializes it.
``
`StrSubstitutor(StrLookup variableResolver, String prefix, String suffix, char escape)`
Creates a new instance and initializes it.
``
`StrSubstitutor(StrLookup variableResolver, StrMatcher prefixMatcher, StrMatcher suffixMatcher, char escape)`
Creates a new instance and initializes it.